SDL_stack_free(3)

NAME
SDL_stack_free - Free memory previously allocated with SDL_stack_alloc.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

#define SDL_stack_free(data) ((void)(data))

DESCRIPTION
If SDL used alloca() to allocate this memory, this macro does nothing (other than insert ((void)(data) so the compiler sees an expression) and the allocated memory will be automatically released when the function that called SDL_stack_alloc() returns. If SDL used SDL_malloc(), it will SDL_free the memory immediately.

MACRO PARAMETERS

data
    the pointer, from SDL_stack_alloc(), to free.

THREAD SAFETY
It is safe to call this macro from any thread.

AVAILABILITY
This macro is available since SDL 3.2.0.

SEE ALSO
SDL_stack_alloc(3)